;;; rtag.asm
;
;   DESCRIPTION:
;   ===========
;
;	This is the romtag structure for an Amiga Exec library.
;	This version is written for Aztec C by Jim Mackraz.
;
;;;

	include	'exec/types.i'
	include	'exec/resident.i'
	include	'exec/nodes.i'
	include	'exec/libraries.i'

XPRVERSION	equ	1
XPRPRI		equ	0

	cseg	; romtag must be in first hunk

	public	_XPRname
	public	_XPRid
	public	_XPRInitTab

	ds	0
	public	_XPRRomTag
_XPRRomTag:
	dc.w	RTC_MATCHWORD
	dc.l	_XPRRomTag
	dc.l	endtag
	dc.b	RTF_AUTOINIT
	dc.b	XPRVERSION
	dc.b	NT_LIBRARY
	dc.b	XPRPRI
	dc.l	_XPRname
	dc.l	_XPRid
	dc.l	_XPRInitTab
endtag:


	end
